import 'package:cpt_ms/modules/main/main_page.dart';
import 'package:plugin_basic/basic_export.dart';
import 'package:router/componentRouter/ms_service.dart';

/// 马来组件对应的路由实现类
class MSServiceImpl extends GetxService implements MSService {
  @override
  void onInit() {
    super.onInit();
    //初始化资源
  }

  @override
  void onClose() {
    super.onClose();
    //销毁资源
  }

  @override
  void startMSMainPage() {
    MSMainPage.startWithPopAll();
  }
}
